<template>
	<view class="squareBox">
		 <z-paging ref="paging" v-model="dataList" @query="queryList">
			<view class="header">
				<uni-easyinput
					prefixIcon="search"
					placeholder="请输入关键字查询"
					@focus="inputFocus()"
				></uni-easyinput>
				<view class="myNews">
					我的报料
				</view>
			</view>
				<view class="item" v-for="(item,index) in dataList">
						<view class="item-title">{{item.title}}</view>
				</view>
		</z-paging>
	</view>
</template>

<script>
export default {
	data() {
		return {
			keyWord: '',
			dataList: []
		};
	},
	methods: {
		queryList() {
			
		},
		inputFocus() {
			
		},
		initData() {
			
		}
	},
	mounted() {
		this.dataList = new Array(10).fill({
			title: '123455'
		})
	}
};
</script>

<style lang="scss" scoped>
	.squareBox{
		.header{
			width: 100%;
			display: flex;
			justify-content: space-between;
			align-items: center;	
			box-sizing: border-box;
			padding: 0 15px;
			.myNews{
				
			}
		}
	}
</style>
